Bug 638650 - better localized name for zh_TW in locale-list
Summary: better localized name for zh_TW in locale-list
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-language
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n, Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-29 15:22 UTC by Wei-Lun Chao
Modified: 2013-05-31 11:27 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-05-31 11:27:53 UTC


Attachments (Terms of Use)

Description Wei-Lun Chao 2010-09-29 15:22:45 UTC
Description of problem:
The localized name for the locale zh_TW is inadequate.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.running system-config-language or
2.viewing /usr/share/system-config-language/locale-list
3.
  
Actual results:
正體中文

Expected results:
傳統漢語

Additional info:

Comment 1 Fedora Update System 2010-10-07 12:28:45 UTC
system-config-language-1.3.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-3.fc14

Comment 2 Fedora Update System 2010-10-07 19:54:10 UTC
system-config-language-1.3.5-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-language'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/system-config-language-1.3.5-3.fc14

Comment 3 Wei-Lun Chao 2010-10-08 04:09:16 UTC
fix confirmed.

Comment 4 Fedora Update System 2010-10-11 11:16:03 UTC
system-config-language-1.3.5-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-4.fc14

Comment 5 Wei-Lun Chao 2013-04-08 05:40:37 UTC
After four releases, I have realized that the following name would be more adequate:
傳統字漢語
Please update it and thanks.

Comment 6 Fedora Update System 2013-04-08 16:08:31 UTC
system-config-language-1.3.5-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-21.fc19

Comment 7 Fedora Update System 2013-04-09 17:00:36 UTC
Package system-config-language-1.3.5-21.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-1.3.5-21.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5206/system-config-language-1.3.5-21.fc19
then log in and leave karma (feedback).

Comment 8 Cheng-Chia Tseng 2013-04-19 16:51:16 UTC
We should not use 傳統漢語!

We are talking to the characters to present the language here (漢文 or 中文) but not the talking language (漢語). Plus, 正體中文 is the official name for Chinese (Traditonal) which issued by Ministry of Education in Taiwan.

I don't know why you insist to change this without disscuss with local community or at least the Chinese (Traditional) translation coordinator.

Comment 9 Cheng-Chia Tseng 2013-04-19 17:08:00 UTC
傳統字漢語 is not good either. There is no one in any field use this term in Taiwan to describe Chinese (Traditional). Instead, We use 正體漢字 to describe "the offical recognized variant of Chinese character". 

"傳統字漢語" is full of problem. First, we use 正體字 to describe tradtional Chinese character but not 傳統字. Second, we use 中文 or 漢文 to describe the way we present Chinese characters but not 漢語. 漢語 is the term we use to describe the talking language in large. 

The only offical name of Chinese (Traditional) in Taiwan is 正體中文.

We should be more conservative to change a translation for a language. To change the translation to fit your personal idea is not a good way for all Chinese (Traditional) users.

At least you should communicate with the community, then go here to propose the change only if they agree with your idea. But you don't, that's the point.

Comment 10 Caius Chance 2013-04-21 12:00:34 UTC
I don't think this is a proper change in terms of both process and change correctness. As Cheng-chia mentioned, 正體中文 is the official name for Chinese (Traditonal) which issued by Ministry of Education in Taiwan, where the authority located in the largest population of Traditional Chinese language users.

In terms of process, you had never contacted and communicated with Chinese Fedora Community before making the change. In terms of change, 傳統漢語 or 傳統字漢語 are not the common or sense-making names describing the language used among Taiwan, Hong Kong and overseas Chinese community.

As per the term had been used for Fedora users from installation to daily operation, anything not widely used in real life should not be introduced no matter that is a scientific term or a term invented by you. I personally strongly discourage and against the change. I hope the term can be reverted to "正體中文" or this can be defined as a regression. Thank you.

Comment 11 Pravin Satpute 2013-04-22 04:57:14 UTC
@Caius yes definitely

Before doing this change i thought this is well communicated decision.

@ Wei-Lun If you have any official document from Ministry please update here, else i will reverse this change.

Comment 12 Wei-Lun Chao 2013-04-22 06:19:05 UTC
@Pravin
No, I have not. Even so, thanks.

Comment 13 Fedora Update System 2013-04-22 06:49:25 UTC
system-config-language-1.3.5-22.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-22.fc19

Comment 14 Fedora Update System 2013-04-22 08:21:37 UTC
system-config-language-1.3.5-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-23.fc19

Comment 15 Fedora Update System 2013-04-22 17:17:31 UTC
Package system-config-language-1.3.5-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-language-1.3.5-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6229/system-config-language-1.3.5-23.fc19
then log in and leave karma (feedback).

Comment 16 Fedora Update System 2013-04-26 07:40:57 UTC
system-config-language-1.3.5-24.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-language-1.3.5-24.fc19

Comment 17 Cheng-Chia Tseng 2013-04-26 17:51:29 UTC
system-config-language-1.3.5-23.fc19 uses 傳統漢語 still. 

To be clear, it should be reverted to 正體中文 instead.

Comment 18 Fedora Update System 2013-04-27 03:16:52 UTC
system-config-language-1.3.5-23.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Cheng-Chia Tseng 2013-04-27 05:39:32 UTC
Now the status is CLOSED ERRATA, but system-config-language-1.3.5-23.fc19 still present Chinese (Traditional) as "傳統漢語" instead of "正體中文".

Please revert it back to 正體中文 as it was and it should be.

Thanks!

Comment 20 A S Alam 2013-04-27 15:08:11 UTC
based on comment #19 bug is opened.

Comment 21 Parag Nemade 2013-04-28 07:06:10 UTC
We have scheduled next upstream tarball of system-config-language by start of next week. We will fix this bug with upstream release and then accordingly build in Fedora in next week only.

Comment 22 Pravin Satpute 2013-04-29 06:44:45 UTC
Yes Parag. Will fix this with the next upstream release.

Comment 23 Fedora Update System 2013-05-01 04:25:40 UTC
system-config-language-1.3.5-24.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Pravin Satpute 2013-05-31 11:27:53 UTC
This one is fixed with the recent upstream release 1.3.6. Latest package is available in Fedora 19

system-config-language-1.3.6-1


Note You need to log in before you can comment on or make changes to this bug.